Bug 253459 - Crashs with "Load vnc" and KDE
Crashs with "Load vnc" and KDE
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-19 19:02 EDT by Reindl Harald
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 11:02:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2007-08-19 19:02:43 EDT
I try to use VNC-Connection on display 0
First it seemed to work, but xserver crashed sometimes
Now xserver crashs after login at end of loading kde-session

I have tried without kmod-nvidia and stopped vmware, but nothing has changed
After login it crashs and the machine goes back to kdm
Same happens if i log in on the local maschine and connect with vncviewer later

Here my xorg.conf
Hope anybody has an idea, because vncserver and freenx does not show display 0
with local started applications :-(

xorg-Logs show nothing, dmesg also
Only in /var/log/messages shows:
Aug 20 00:45:06 srv-rhsoft kdm[3862]: X server for display :0 terminated
unexpectedly



Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
	ModulePath   "/usr/lib/xorg/modules/extensions/nvidia"
	ModulePath   "/usr/lib/xorg/modules"
	FontPath     "unix/:7100"
EndSection

Section "Module"
	Load  "dbe"
	Load  "vnc"
	Load  "glx"
	Load  "dbe"
	Load  "extmod"
EndSection

Section "ServerFlags"
	Option	    "AIGLX" "on"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "de"
	Option	    "XkbVariant" "nodeadkeys"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "nvidia"
	Option	    "AddARGBGLXVisuals" "True"
	Option	    "DisableGLXRootClipping" "True"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	Option	    "passwordFile" "/root/.vnc/passwd"
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Section "Extensions"
	Option	    "Composite" "Enable"
EndSection
Comment 1 Matěj Cepl 2007-08-27 11:01:12 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2007-09-27 11:02:22 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Moreover, this bug has been reported while the reporter was using binary-only
drivers which are not supported by Red Hat. Please, if you want to reopen this
bug, make sure, that you are using open-source drivers only.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.